# $Revision: 1.196 $, $Date: 2009/04/03 20:01:40 $
#
# TODO:
# - subpackage with non-dri libGL for use with X-servers with missing GLX extension?
#
# Conditional build:
%bcond_without	motif	# build static libGLw without Motif interface
%bcond_with	multigl	# package libGL in a way allowing concurrent install with nvidia/fglrx drivers
#
# minimal supported xserver version
%define		xserver_ver	1.5.0
# glapi version (glapi tables in dri drivers and libglx must be in sync);
# set to current Mesa version on ABI break, when xserver tables get regenerated
# (until they start to be somehow versioned themselves)
%define		glapi_ver	7.1.0
#
Summary:	Free OpenGL implementation
Summary(pl.UTF-8):	Wolnodostępna implementacja standardu OpenGL
Name:		Mesa
Version:	7.4
Release:	2%{?with_multigl:.mgl}
License:	MIT (core), SGI (GLU,libGLw) and others - see license.html file
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/mesa3d/%{name}Lib-%{version}.tar.bz2
# Source0-md5:	7ecddb341a2691e0dfdb02f697109834
Source1:	http://dl.sourceforge.net/mesa3d/%{name}Demos-%{version}.tar.bz2
# Source1-md5:	02816f10f30b1dc5e069e0f68c177c98
Patch0:		%{name}-realclean.patch
Patch1:		%{name}-git.patch
URL:		http://www.mesa3d.org/
BuildRequires:	expat-devel
BuildRequires:	libdrm-devel >= 2.4.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
%{?with_motif:BuildRequires:	motif-devel}
BuildRequires:	rpmbuild(macros) >= 1.470
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-proto-dri2proto-devel >= 1.99.3
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-printproto-devel
BuildRequires:	xorg-util-makedepend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mesa is a 3-D graphics library with an API which is very similar to
that of OpenGL(R). To the extent that Mesa utilizes the OpenGL command
syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc. However, the author does not possess an OpenGL
license from SGI, and makes no claim that Mesa is in any way a
compatible replacement for OpenGL or associated with SGI.

%description -l pl.UTF-8
Mesa jest biblioteką grafiki 3D z API bardzo podobnym do OpenGL(R). Do
tego stopnia, że Mesa używa składni i automatu OpenGL jest używana z
autoryzacją Silicon Graphics, Inc. Jednak autor nie posiada licencji
OpenGL od SGI i nie twierdzi, że Mesa jest kompatybilnym zamiennikiem
OpenGL ani powiązana z SGI.

%package libGL
Summary:	Free Mesa3D implementation of libGL OpenGL library
Summary(pl.UTF-8):	Wolnodostępna implementacja Mesa3D biblioteki libGL ze standardu OpenGL
License:	MIT
Group:		X11/Libraries
Requires:	libdrm >= 2.4.5
Provides:	OpenGL = 2.1
# reports version 1.3, but supports glXGetProcAddress() from 1.4
Provides:	OpenGL-GLX = 1.4
Obsoletes:	Mesa
Obsoletes:	Mesa-dri
Obsoletes:	X11-OpenGL-libGL < 1:7.0.0
Obsoletes:	XFree86-OpenGL-libGL < 1:7.0.0

%description libGL
Mesa is a 3-D graphics library with an API which is very similar to
that of OpenGL(R). To the extent that Mesa utilizes the OpenGL command
syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc. However, the author does not possess an OpenGL
license from SGI, and makes no claim that Mesa is in any way a
compatible replacement for OpenGL or associated with SGI.

This package contains libGL which implements OpenGL 1.5 and GLX 1.4
specifications. It uses DRI for rendering.

%description libGL -l pl.UTF-8
Mesa jest biblioteką grafiki 3D z API bardzo podobnym do OpenGL(R). Do
tego stopnia, że Mesa używa składni i automatu OpenGL jest używana z
autoryzacją Silicon Graphics, Inc. Jednak autor nie posiada licencji
OpenGL od SGI i nie twierdzi, że Mesa jest kompatybilnym zamiennikiem
OpenGL ani powiązana z SGI.

Ten pakiet zawiera libGL implementującą specyfikacje OpenGL 1.5 oraz
GLX 1.4. Używa DRI do renderowania.

%package libGL-devel
Summary:	Header files for Mesa3D libGL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libGL z projektu Mesa3D
License:	MIT
Group:		X11/Development/Libraries
# loose dependency on libGL to use with other libGL binaries
Requires:	OpenGL >= 1.5
Requires:	xorg-lib-libX11-devel
Provides:	OpenGL-devel = 2.1
Provides:	OpenGL-GLX-devel = 1.4
Obsoletes:	Mesa-devel
Obsoletes:	X11-OpenGL-devel < 1:7.0.0
Obsoletes:	X11-OpenGL-devel-base < 1:7.0.0
Obsoletes:	XFree86-OpenGL-devel < 1:7.0.0
Obsoletes:	XFree86-OpenGL-devel-base < 1:7.0.0

%description libGL-devel
Header files for Mesa3D libGL library.

%description libGL-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libGL z projektu Mesa3D.

%package libGL-static
Summary:	Static Mesa3D libGL library
Summary(pl.UTF-8):	Statyczna biblioteka libGL z projektu Mesa3D
License:	MIT
Group:		X11/Development/Libraries
Requires:	%{name}-libGL-devel = %{version}-%{release}
Provides:	OpenGL-static = 2.1
Obsoletes:	Mesa-static
Obsoletes:	X11-OpenGL-static < 1:7.0.0
Obsoletes:	XFree86-OpenGL-static < 1:7.0.0

%description libGL-static
Static Mesa3D libGL library. It uses software renderer.

%description libGL-static -l pl.UTF-8
Statyczna biblioteka libGL z projektu Mesa3D. Używa programowego
renderingu.

%package libGLU
Summary:	SGI implementation of libGLU OpenGL library
Summary(pl.UTF-8):	Implementacja SGI biblioteki libGLU ze standardu OpenGL
License:	SGI Free Software License B v2.0 (MIT-like)
Group:		Libraries
# loose dependency on libGL.so.1 to use with other libGL binaries
Requires:	OpenGL >= 1.2
Provides:	OpenGL-GLU = 1.3
Obsoletes:	Mesa-devel
Obsoletes:	X11-OpenGL-libs < 1:7.0.0
Obsoletes:	XFree86-OpenGL-libs < 1:7.0.0

%description libGLU
SGI implementation of libGLU OpenGL library. It implements OpenGL GLU
1.3 specifications.

%description libGLU -l pl.UTF-8
Implementacja SGI biblioteki libGLU ze standardu OpenGL. Implementuje
specyfikację OpenGL GLU 1.3.

%package libGLU-devel
Summary:	Header files for SGI libGLU library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SGI libGLU
License:	SGI Free Software License B v2.0 (MIT-like)
Group:		Development/Libraries
Requires:	%{name}-libGLU = %{version}-%{release}
Requires:	OpenGL-devel >= 1.2
Requires:	libstdc++-devel
Provides:	OpenGL-GLU-devel = 1.3

%description libGLU-devel
Header files for SGI libGLU library.

%description libGLU-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SGI libGLU.

%package libGLU-static
Summary:	Static SGI libGLU library
Summary(pl.UTF-8):	Statyczna biblioteka SGI libGLU
License:	SGI Free Software License B v2.0 (MIT-like)
Group:		Development/Libraries
Requires:	%{name}-libGLU-devel = %{version}-%{release}
Provides:	OpenGL-GLU-static = 1.3

%description libGLU-static
Static SGI libGLU library.

%description libGLU-static -l pl.UTF-8
Statyczna biblioteka SGI libGLU.

%package libGLw
Summary:	SGI OpenGL Xt widgets library
Summary(pl.UTF-8):	Biblioteka SGI widgetów Xt dla OpenGL-a
License:	SGI MIT-like
Group:		Libraries
# loose dependency on libGL.so.1 to use with other libGL binaries
Requires:	OpenGL >= 1.1
Provides:	OpenGL-GLw

%description libGLw
SGI OpenGL Xt widgets library.

%description libGLU -l pl.UTF-8
Biblioteka SGI widgetów Xt dla OpenGL-a.

%package libGLw-devel
Summary:	Header files for SGI libGLw library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SGI libGLw
License:	SGI MIT-like
Group:		Development/Libraries
Requires:	%{name}-libGLw = %{version}-%{release}
Requires:	OpenGL-devel >= 1.2
Provides:	OpenGL-GLw-devel

%description libGLw-devel
Header files for SGI libGLw library.

%description libGLw-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SGI libGLw.

%package libGLw-static
Summary:	Static SGI libGLw library
Summary(pl.UTF-8):	Statyczna biblioteka SGI libGLw
License:	SGI MIT-like
Group:		Development/Libraries
Requires:	%{name}-libGLw-devel = %{version}-%{release}
Provides:	OpenGL-GLw-static

%description libGLw-static
Static SGI libGLw library.

%description libGLw-static -l pl.UTF-8
Statyczna biblioteka SGI libGLw.

%package libOSMesa
Summary:	OSMesa (off-screen renderer) library
Summary(pl.UTF-8):	Biblioteka OSMesa (renderująca bitmapy w pamięci)
License:	MIT
Group:		Libraries
# doesn't require base

%description libOSMesa
OSMesa (off-screen renderer) library.

%description libOSMesa -l pl.UTF-8
Biblioteka OSMesa (renderująca bitmapy w pamięci).

%package libOSMesa-devel
Summary:	Header file for OSMesa (off-screen renderer) library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki OSMesa (renderującej bitmapy w pamięci)
License:	MIT
Group:		Development/Libraries
Requires:	%{name}-libOSMesa = %{version}-%{release}
# for <GL/gl.h> only
Requires:	OpenGL-devel

%description libOSMesa-devel
Header file for OSMesa (off-screen renderer) library.

%description libOSMesa-devel -l pl.UTF-8
Plik nagłówkowy biblioteki OSMesa (renderującej bitmapy w pamięci).

%package libOSMesa-static
Summary:	Static OSMesa (off-screen renderer) library
Summary(pl.UTF-8):	Biblioteka statyczna OSMesa (renderująca bitmapy w pamięci)
License:	MIT
Group:		Development/Libraries
Requires:	%{name}-libOSMesa-devel = %{version}-%{release}
# this static build of OSMesa needs static non-dri Mesa implementation
Requires:	%{name}-libGL-static = %{version}-%{release}

%description libOSMesa-static
Static OSMesa (off-screen renderer) library.

%description libOSMesa-static -l pl.UTF-8
Biblioteka statyczna OSMesa (renderująca bitmapy w pamięci).

%package utils
Summary:	OpenGL utilities from Mesa3D
Summary(pl.UTF-8):	Programy narzędziowe OpenGL z projektu Mesa3D
License:	MIT
Group:		X11/Applications/Graphics
# loose deps on libGL/libGLU

%description utils
OpenGL utilities from Mesa3D: glxgears and glxinfo.

%description utils -l pl.UTF-8
Programy narzędziowe OpenGL z projektu Mesa3D: glxgears i glxinfo.

%package demos
Summary:	Mesa Demos source code
Summary(pl.UTF-8):	Kod źródłowy programów demonstrujących dla bibliotek Mesa
License:	various (MIT, SGI, GPL - see copyright notes in sources)
Group:		Development/Libraries
Requires:	OpenGL-devel

%description demos
Demonstration programs for the Mesa libraries in source code form.

%description demos -l pl.UTF-8
Kod źródłowy programów demonstracyjnych dla bibliotek Mesa.

%package dri-driver-ati-mach64
Summary:	X.org DRI driver for ATI Mach64 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart ATI Mach64
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-mach64
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}

%description dri-driver-ati-mach64
X.org DRI driver for ATI Mach64 card family.

%description dri-driver-ati-mach64 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart ATI Mach64.

%package dri-driver-ati-radeon-R100
Summary:	X.org DRI driver for ATI R100 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart ATI R100
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-ati
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-radeon-dri < 1:7.0.0

%description dri-driver-ati-radeon-R100
X.org DRI driver for ATI R100 card family (Radeon 7000-7500).

%description dri-driver-ati-radeon-R100 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart ATI R100 (Radeon 7000-7500).

%package dri-driver-ati-radeon-R200
Summary:	X.org DRI driver for ATI R200 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart ATI R200
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-ati
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-radeon-dri < 1:7.0.0

%description dri-driver-ati-radeon-R200
X.org DRI driver for ATI R200 card family (Radeon 8500-92xx)

%description dri-driver-ati-radeon-R200 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart ATI R200 (Radeon 8500-92xx).

%package dri-driver-ati-radeon-R300
Summary:	X.org DRI driver for ATI R300 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart ATI R300
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-ati
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-radeon-dri < 1:7.0.0

%description dri-driver-ati-radeon-R300
X.org DRI driver for ATI R300 card family.

%description dri-driver-ati-radeon-R300 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart ATI R300.

%package dri-driver-ati-rage128
Summary:	X.org DRI driver for ATI Rage128 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart ATI Rage128
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-r128
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-r128-dri < 1:7.0.0

%description dri-driver-ati-rage128
X.org DRI driver for ATI Rage128 card family.

%description dri-driver-ati-rage128 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart ATI Rage128.

%package dri-driver-ffb
Summary:	X.org DRI driver for Sun FFB card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart Sun FFB
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-sunffb
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}

%description dri-driver-ffb
X.org DRI driver for SUN Creator3D and Elite3D card family.

%description dri-driver-ffb -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart SUN Creator3D i Elite3D.

%package dri-driver-glint
Summary:	X.org DRI driver for GLINT/Permedia card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart GLINT/Permedia
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-glint
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-glint-dri < 1:7.0.0

%description dri-driver-glint
X.org DRI driver for GLINT/Permedia card family.

%description dri-driver-glint -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart GLINT/Permedia.

%package dri-driver-intel-i810
Summary:	X.org DRI driver for Intel i810 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart Intel i810
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-intel
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-i810-dri < 1:7.0.0

%description dri-driver-intel-i810
X.org DRI driver for Intel i810 card family.

%description dri-driver-intel-i810 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart Intel i810.

%package dri-driver-intel-i915
Summary:	X.org DRI driver for Intel i915 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart Intel i915
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-intel
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	Mesa-dri-driver-intel-i830
Obsoletes:	X11-driver-i810-dri < 1:7.0.0

%description dri-driver-intel-i915
X.org DRI driver for Intel i915 card family.

%description dri-driver-intel-i915 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart Intel i915.

%package dri-driver-intel-i965
Summary:	X.org DRI driver for Intel i965 card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart Intel i965
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-intel
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	Mesa-dri-driver-intel-i830
Obsoletes:	X11-driver-i810-dri < 1:7.0.0

%description dri-driver-intel-i965
X.org DRI driver for Intel i965 card family.

%description dri-driver-intel-i965 -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart Intel i965.

%package dri-driver-matrox
Summary:	X.org DRI driver for Matrox G card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart Matrox G
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-mga
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-mga-dri < 1:7.0.0

%description dri-driver-matrox
X.org DRI drivers for Matrox G card family.

%description dri-driver-matrox -l pl.UTF-8
Sterowniki X.org DRI dla rodziny kart Matrox G.

%package dri-driver-s3virge
Summary:	X.org DRI driver for S3 Virge card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart S3 Virge
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-s3virge
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}

%description dri-driver-s3virge
X.org DRI driver for S3 Virge card family.

%description dri-driver-s3virge -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart S3 Virge.

%package dri-driver-savage
Summary:	X.org DRI driver for S3 Savage card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart S3 Savage
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-savage
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}

%description dri-driver-savage
X.org DRI driver for S3 Savage card family.

%description dri-driver-savage -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart S3 Savage.

%package dri-driver-sis
Summary:	X.org DRI driver for SiS card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart SiS
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-sis
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-sis-dri < 1:7.0.0

%description dri-driver-sis
X.org DRI driver for SiS card family.

%description dri-driver-sis -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart SiS.

%package dri-driver-swrast
Summary:	X.org DRI software rasterizer driver
Summary(pl.UTF-8):	Sterownik X.org DRI obsługujący rysowanie programowe
License:	MIT
Group:		X11/Libraries
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}

%description dri-driver-swrast
X.org DRI software rasterizer driver.

%description dri-driver-swrast -l pl.UTF-8
Sterownik X.org DRI obsługujący rysowanie programowe.

%package dri-driver-tdfx
Summary:	X.org DRI driver for 3DFX Voodoo card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart 3DFX Voodoo
License:	MIT
Group:		X11/Libraries
Requires:	Glide3-DRI
Requires:	xorg-driver-video-tdfx
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Obsoletes:	X11-driver-tdfx-dri < 1:7.0.0

%description dri-driver-tdfx
X.org DRI driver for 3DFX Voodoo card family (Voodoo 3,4,5, Banshee
and Velocity 100/200).

%description dri-driver-tdfx -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart 3DFX Voodoo. (Voodoo 3,4,5,
Banshee i Velocity 100/200).

%package dri-driver-trident
Summary:	X.org DRI driver for Trident card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart Trident
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-trident
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}

%description dri-driver-trident
X.org DRI drivers for Trident card family.

%description dri-driver-trident -l pl.UTF-8
Sterowniki X.org DRI dla rodziny kart Trident.

%package dri-driver-via-unichrome
Summary:	X.org DRI driver for VIA Unichrome card family
Summary(pl.UTF-8):	Sterownik X.org DRI dla rodziny kart VIA Unichrome
License:	MIT
Group:		X11/Libraries
Requires:	xorg-driver-video-openchrome
Requires:	xorg-xserver-libglx(glapi) = %{glapi_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}

%description dri-driver-via-unichrome
X.org DRI driver for VIA Unichrome card family.

%description dri-driver-via-unichrome -l pl.UTF-8
Sterownik X.org DRI dla rodziny kart VIA Unichrome.

%prep
%setup -q -b1
%patch0 -p0
%patch1 -p1

# fix demos
find progs -type f|xargs sed -i -e "s,\.\./images/,%{_examplesdir}/%{name}-%{version}/images/,g"

# s3v, sis, trident missing there - don't override list from linux-dri
sed -i -e '/^DRI_DIRS/d' configs/linux-dri-x86-64

# add swrast driver
sed -i -e 's/ i810 / swrast i810 /' configs/linux-dri

%ifnarch sparc sparcv9 sparc64
# for sunffb driver - useful on sparc only
sed -i -e 's/ ffb\>//' configs/linux-dri
%endif

%ifnarch %{ix86} %{x8664}
# sis needs write-memory barrier
sed -i -e 's/ sis / /' configs/linux-dri
%endif

%build
# use $lib, not %{_lib} as Mesa uses lib64 only for *-x86-64* targets
%ifarch %{x8664}
targ=-x86-64
lib=lib64
%else
lib=lib
%ifarch %{ix86}
targ=-x86
%else
targ=""
%endif
%endif

# required for -bc --short-circuit
%{__make} realclean
# as above - existing directory makes mv move into instead of rename
rm -rf lib-{dri,osmesa,static}

%{__make} linux${targ}-static \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	OPT_FLAGS="%{rpmcppflags} %{rpmcflags} -fno-strict-aliasing" \
	XLIB_DIR=%{_libdir} \
	GLW_SOURCES="GLwDrawA.c%{?with_motif: GLwMDrawA.c}" \
	SRC_DIRS="mesa glu glw" \
	PROGRAM_DIRS=
mv -f ${lib} lib-static
%{__make} realclean

%{__make} linux-osmesa \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -fno-strict-aliasing -fPIC" \
	XLIB_DIR=%{_libdir} \
	SRC_DIRS="mesa" \
	PROGRAM_DIRS=
mv -f lib lib-osmesa
%{__make} realclean

%{__make} linux-dri${targ} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	MKDEP=makedepend \
	OPT_FLAGS="%{rpmcppflags} %{rpmcflags} -fno-strict-aliasing" \
	XLIB_DIR=%{_libdir} \
	DRI_DRIVER_SEARCH_DIR=%{_libdir}/xorg/modules/dri \
	SRC_DIRS="glx/x11 mesa glu glw" \
	PROGRAM_DIRS=

%{__make} -C progs/xdemos \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	OPT_FLAGS="%{rpmcppflags} %{rpmcflags}" \
	XLIB_DIR=%{_libdir} \
	PROGS="glxgears" \
	APP_LIB_DEPS="-L../../${lib} -lGL"

%{__make} -C progs/xdemos \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	OPT_FLAGS="%{rpmcppflags} %{rpmcflags}" \
	XLIB_DIR=%{_libdir} \
	PROGS="glxinfo" \
	APP_LIB_DEPS="-L../../${lib} -lGL -lGLU"

mv -f ${lib} lib-dri

for d in mesa glu glw ; do
	for f in src/$d/*.pc.in; do
		%{__make} -C src/$d `basename $f .in` \
			INSTALL_DIR=%{_prefix} \
			LIB_DIR=%{_lib}
	done
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}/GL/internal,%{_pkgconfigdir},%{_examplesdir}/%{name}-%{version}}
install -d $RPM_BUILD_ROOT%{_libdir}/xorg/modules/dri

cp -df lib-static/lib* $RPM_BUILD_ROOT%{_libdir}
cp -df lib-osmesa/libOSMesa* $RPM_BUILD_ROOT%{_libdir}
cp -df lib-dri/lib* $RPM_BUILD_ROOT%{_libdir}
cp -rf include/GL/{gl[!f]*,osmesa.h*} src/glw/GLw*.h src/mesa/drivers/x11/xmesa*.h $RPM_BUILD_ROOT%{_includedir}/GL
cp -rf include/GL/internal/dri_interface.h $RPM_BUILD_ROOT%{_includedir}/GL/internal
cp -df lib-dri/*_dri.so $RPM_BUILD_ROOT%{_libdir}/xorg/modules/dri

install src/mesa/gl.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
install src/mesa/osmesa.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
install src/glu/glu.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
install src/glw/glw.pc $RPM_BUILD_ROOT%{_pkgconfigdir}

install progs/xdemos/{glxgears,glxinfo} $RPM_BUILD_ROOT%{_bindir}
# work on copy to keep -bi --short-circuit working
rm -rf progs-clean
install -d progs-clean
for l in demos glsl osdemos redbook samples xdemos ; do
	cp -a progs/$l progs-clean/$l
	%{__make} -C progs-clean/$l clean
	cp -Rf progs-clean/$l $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$l
done
rm -rf progs-clean
for l in util images ; do
	cp -Rf progs/$l $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$l
done
rm -rf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/*/{.deps,CVS,Makefile.{BeOS*,win,cygnus,DJ,dja}}

%if %{with multigl}
install -d $RPM_BUILD_ROOT{%{_libdir}/Mesa,%{_sysconfdir}/ld.so.conf.d}

mv -f $RPM_BUILD_ROOT%{_libdir}/libGL.so.* $RPM_BUILD_ROOT%{_libdir}/Mesa
ln -sf Mesa/libGL.so.1 $RPM_BUILD_ROOT%{_libdir}/libGL.so

echo %{_libdir}/Mesa >$RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/Mesa.conf
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libGL -p /sbin/ldconfig
%postun	libGL -p /sbin/ldconfig

%post	libGLU -p /sbin/ldconfig
%postun	libGLU -p /sbin/ldconfig

%post	libGLw -p /sbin/ldconfig
%postun	libGLw -p /sbin/ldconfig

%files libGL
%defattr(644,root,root,755)
%doc docs/{*.html,README.{3DFX,GGI,MITS,QUAKE,THREADS},RELNOTES*}
%if %{with multigl}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ld.so.conf.d/Mesa.conf
%dir %{_libdir}/Mesa
%attr(755,root,root) %{_libdir}/Mesa/libGL.so.*.*
%attr(755,root,root) %ghost %{_libdir}/Mesa/libGL.so.1
%else
%attr(755,root,root) %{_libdir}/libGL.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libGL.so.1
# symlink for binary apps which fail to conform Linux OpenGL ABI
# (and dlopen libGL.so instead of libGL.so.1)
%attr(755,root,root) %{_libdir}/libGL.so
%endif

%files libGL-devel
%defattr(644,root,root,755)
%doc docs/*.spec
%if %{with multigl}
%attr(755,root,root) %{_libdir}/libGL.so
%endif
%dir %{_includedir}/GL
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/glx_mangle.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h
%{_pkgconfigdir}/gl.pc

%files libGL-static
%defattr(644,root,root,755)
%{_libdir}/libGL.a
# x11 (non-dri) Mesa API
%{_includedir}/GL/xmesa.h
%{_includedir}/GL/xmesa_x.h
%{_includedir}/GL/xmesa_xf86.h

%files libGLU
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLU.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libGLU.so.1

%files libGLU-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLU.so
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_pkgconfigdir}/glu.pc

%files libGLU-static
%defattr(644,root,root,755)
%{_libdir}/libGLU.a

%files libGLw
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLw.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libGLw.so.1

%files libGLw-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLw.so
%{_includedir}/GL/GLwDrawA.h
%{_includedir}/GL/GLwDrawAP.h
%{_includedir}/GL/GLwMDrawA.h
%{_includedir}/GL/GLwMDrawAP.h
%{_pkgconfigdir}/glw.pc

%files libGLw-static
%defattr(644,root,root,755)
%{_libdir}/libGLw.a

%files libOSMesa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libOSMesa.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libOSMesa.so.[0-9]

%files libOSMesa-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libOSMesa.so
%{_includedir}/GL/osmesa.h
%{_pkgconfigdir}/osmesa.pc

%files libOSMesa-static
%defattr(644,root,root,755)
%{_libdir}/libOSMesa.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/glxgears
%attr(755,root,root) %{_bindir}/glxinfo

%files dri-driver-ati-mach64
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/mach64_dri.so

%files dri-driver-ati-radeon-R100
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/radeon_dri.so

%files dri-driver-ati-radeon-R200
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/r200_dri.so

%files dri-driver-ati-radeon-R300
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/r300_dri.so

%files dri-driver-ati-rage128
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/r128_dri.so

# sunffb (sparc only)
%ifarch sparc sparcv9 sparc64
%files dri-driver-ffb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/ffb_dri.so
%endif

# glint (requires update)
%if 0
%files dri-driver-glint
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/gamma_dri.so
%endif

%files dri-driver-intel-i810
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/i810_dri.so

%files dri-driver-intel-i915
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/i915_dri.so

%files dri-driver-intel-i965
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/i965_dri.so

%files dri-driver-matrox
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/mga_dri.so

%files dri-driver-s3virge
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/s3v_dri.so

%files dri-driver-savage
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/savage_dri.so

%ifarch %{ix86} %{x8664}
%files dri-driver-sis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/sis_dri.so
%endif

%files dri-driver-swrast
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/swrast_dri.so

%files dri-driver-tdfx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/tdfx_dri.so

%files dri-driver-trident
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/trident_dri.so

%files dri-driver-via-unichrome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/dri/unichrome_dri.so

%files demos
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Mesa.spec,v $
Revision 1.196  2009/04/03 20:01:40  arekm
- rel 2; fixes from stable 7.4 branch

Revision 1.195  2009/03/28 12:01:24  arekm
- up to 7.4

Revision 1.194  2009/01/26 11:40:45  arekm
- up to 7.3 final (formally this is devel line of Mesa)

Revision 1.193  2009/01/18 14:30:35  gotar
- BR: rpmbuild(macros) >= 1.470 due to rpmcppflags use since 1.186 rev

Revision 1.192  2009/01/16 08:32:41  arekm
- rel 0.2

Revision 1.191  2009/01/16 08:28:00  arekm
- up to 7.3rc2

Revision 1.190  2009/01/12 21:49:45  arekm
- up to 7.3 rc1; drop ttm bcond

Revision 1.189  2008/11/05 08:33:11  hawk
- release 3

Revision 1.188  2008/10/29 18:37:07  luzik
- reverted last change
- fixed unichrome requires from via to openchrome

Revision 1.187  2008/10/28 08:53:53  hawk
- drop dri-driver-via-unichrome, it requires xorg-driver-video-via which
  was deprecated upstream (where should O: go? basesystem.spec?)

Revision 1.186  2008/09/28 09:07:42  arekm
- rel 1

Revision 1.185  2008/09/22 18:45:09  qboosh
- fixed libOSMesa build

Revision 1.184  2008/09/22 18:24:42  qboosh
- glapi unchanged since 7.1, no need to bump glapi_ver

Revision 1.183  2008/09/22 17:54:34  qboosh
- updated SGI license version for GLU (B v2.0, MIT-like now)

Revision 1.182  2008/09/21 09:23:30  arekm
- stable 7.2 but doesn't build

Revision 1.181  2008/09/13 05:31:01  qboosh
- release 2

Revision 1.180  2008/09/13 00:22:18  qboosh
- added tdfx patch (fixes crash on init and non-existing visuals)
- test release 1.1

Revision 1.179  2008/09/12 18:15:15  qboosh
- No-no-no. glapi symbols are built in libglx module (not swrast driver) and must be in sync
- -dri-driver-swrast requires proper glapi in libglx too
- R xserver >= 1.5.0
- updated intel and ati video driver names

Revision 1.178  2008/09/06 21:55:50  gotar
- added ttm bcond with patch,
- fixed -bc --short-circuit,
- fixed passing CFLAGS to osmesa

Revision 1.177  2008/08/31 10:39:58  qboosh
- i915tex and nouveau removed upstream

Revision 1.176  2008/08/30 11:37:07  pluto
- BR: libdrm-devel >= 2.3.1, minor log fixes.

Revision 1.175  2008/08/30 08:54:39  arekm
- BR: xorg-proto-dri2proto-devel

Revision 1.174  2008/08/29 09:22:09  arekm
- final 7.1 (devel line but we go with it than with, so called, stable 7.0 line)

Revision 1.173  2008/07/10 20:32:58  arekm
- up to rc3

Revision 1.172  2008/07/08 20:34:37  qboosh
- unified -dri-* descs
- man pages todo done (OpenGL-doc.spec)

Revision 1.171  2008/07/01 10:29:48  arekm
- dri-swrast replaces libGLcore so add appropriate provides

Revision 1.170  2008/07/01 10:18:20  arekm
- enable swrast dri (replaces xserver libGLcore.so); fix build with libdrm 2.3.1

Revision 1.169  2008-05-28 20:49:17  arekm
- up to 7.1 rc1

Revision 1.168  2008-04-05 20:44:31  arekm
- rel 2; glw.pc is back

Revision 1.167  2008-04-05 20:34:30  arekm
- up to 7.0.3

Revision 1.166  2008-02-28 09:35:41  arekm
- rel 6; fix/workaround http://bugs.freedesktop.org/show_bug.cgi?id=13957 from mesa git

Revision 1.165  2008-02-27 19:23:06  arekm
- rel 5

Revision 1.164  2007-12-02 16:52:42  qboosh
- use x86-64 targets for x86_64 assembly
- release 4

Revision 1.163  2007-12-02 16:26:15  qboosh
- moved libOSMesa.a to -static as it's usable only with non-dri libGL.a
- build usable shared libOSMesa
- updated License tags
- fixed ffb disabling if building without nouveau
- package gl,glu pkgconfig files
- xmesa*.h headers (with x11 non-dri Mesa API) moved to libGL-static
- dropped glfbdev.h header (fbdev Mesa API - no implementation built)
- test release 3.1

Revision 1.162  2007-11-25 21:13:44  arekm
- uh, really nouveau off by default

Revision 1.161  2007-11-25 20:31:25  arekm
- rel 2; disable building nouveau; we don't have libdrm for it anyway

Revision 1.160  2007-11-11 18:04:34  arekm
- up to 7.0.2

Revision 1.159  2007/09/28 22:15:55  baggins
- moved contents of MULTIGL branch to multigl bcond on HEAD

Revision 1.158  2007/09/03 12:12:26  baggins
- rel 2
- i965 driver shouldn't obsolete i915 driver

Revision 1.157  2007/08/27 16:39:25  qboosh
- don't package libOSMesa as it's currently unusable anyway
  (and thus allow using Mesa-libGL-devel with foreign libGL implementations)

Revision 1.156  2007/08/25 18:42:51  qboosh
- soname symlinks as ghost

Revision 1.155  2007/08/05 00:31:31  qboosh
- fixed invalid changelog entries

Revision 1.154  2007/08/04 08:34:43  deejay1
- [nothing]

Revision 1.153  2007/08/04 08:32:41  deejay1
- [updated to 7.0.1]

Revision 1.152  2007/06/24 22:17:31  qboosh
- build -dri-driver-nouveau, fix ffb disabling

Revision 1.151  2007/06/23 11:07:16  arekm
- up to 7.0

Revision 1.150  2007/06/03 09:40:07  tommat
- BR xorg-lib-libXdamage-devel

Revision 1.149  2007/05/03 21:20:09  arekm
- rel 2; apply fixes from git

Revision 1.148  2007/04/30 19:42:40  qboosh
- versioned Obsoletes not to conflict with metapackage-xorg

Revision 1.147  2007/04/30 19:34:17  qboosh
- added Obsoletes for X11-driver-*-dri packages

Revision 1.146  2007/04/29 15:53:36  qboosh
- cleanup

Revision 1.145  2007/04/29 12:19:43  qboosh
- updated ffb disabling

Revision 1.144  2007/04/29 12:12:38  qboosh
- updated to 6.5.3 (supports OpenGL 2.1)
- added nouveau_drm.h as source (not yet in released libdrm)
- added -dri-driver-nouveau package

Revision 1.143  2007/02/19 14:56:48  arekm
- rebuild to fix FileDigestParameterized rpm issue

Revision 1.142  2007/02/12 21:23:44  glen
- tabs in preamble

Revision 1.141  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.140  2007/01/07 00:25:28  arekm
- rel 4; drop _noautoreqdep (not needed in th); package so symlinks

Revision 1.139  2007/01/06 23:52:59  arekm
- rel 3; obsolete only ac x11

Revision 1.138  2006/12/12 10:07:25  dzeus
- rel. 2, STBR please

Revision 1.137  2006/12/07 00:25:32  wolvverine
- correct R

Revision 1.136  2006/12/06 22:05:22  wolvverine
- add BR

Revision 1.135  2006/12/03 21:35:30  arekm
- rel 1

Revision 1.134  2006/12/03 16:26:58  qboosh
- dri drivers are loaded by video drivers, so should require them

Revision 1.133  2006/12/03 15:26:29  arekm
- rel 0.3; why downgrading release for final version?

Revision 1.132  2006/12/03 13:39:45  qboosh
- well, actually it's not client libGL but server-side glapi (used in libglx)

Revision 1.131  2006/12/03 13:31:59  qboosh
- dri drivers require libGL in the same version they were built with

Revision 1.130  2006/12/03 12:48:34  qboosh
- Glide3 headers or lib not needed to build, but libglide3-v{3,5}.so is needed
  (dlopened) by tdfx driver

Revision 1.129  2006/12/03 12:36:09  qboosh
- updated libdrm deps (>= 2.2.0 now)
- moved Mesa-dri Obsoletes to existing package (-libGL)

Revision 1.128  2006/12/03 03:14:38  shadzik
- ups,fix %setup

Revision 1.127  2006/12/03 03:08:32  shadzik
- 6.5.2 stable, NFY

Revision 1.126  2006/11/03 20:11:55  arekm
- new snap; should fix ppc

Revision 1.125  2006/11/03 17:45:18  twittner
- glxgears and glxinfo linking fixed - they were linked with
  already installed Mesa libraries (/usr/lib) instead of fresh built
  (located in source tree) - thnx to BeCe
- note: building triggers zylions warnings:
makedepend: warning:  ../../common/driverfuncs.c (reading /usr/include/libio.h, line 53): cannot find include file "stdarg.h"
makedepend: warning:  ../../common/driverfuncs.c (reading /usr/include/gconv.h, line 31): cannot find include file "stddef.h"

Revision 1.124  2006/11/03 08:13:15  arekm
- updated to 20061103 snap

Revision 1.123  2006/09/16 21:25:05  qboosh
- updated to 6.5.1
- removed modules_dir patch, pass DRI_DRIVER_SEARCH_DIR to make

Revision 1.122  2006/09/11 15:34:16  shadzik
- snap up to 20060911
- back to the roots, to dropin Source0

Revision 1.121  2006/08/15 22:15:11  shadzik
- snap 20060810 from http://intellinuxgraphics.org/, we use this as Source0 now, not dropin.pld
- support for intel i965 graphic cards

Revision 1.120  2006/07/30 16:12:33  arekm
- up to 20060730

Revision 1.119  2006/07/12 08:32:36  czarny
 - corrected unpacked dirname
 - why was that dir different here, then in xorg-xserver-server-xgl?

Revision 1.118  2006/07/11 20:30:34  czarny
 - fixed my previous emtpy log

Revision 1.117  2006/07/11 20:13:14  czarny
- up to snap 20060711

Revision 1.116  2006/07/01 18:19:16  arekm
- up to snap 20060701

Revision 1.115  2006/05/05 14:22:37  wolf
- add compiz patch, rel 2

Revision 1.114  2006/04/11 21:29:21  arekm
- correct md5

Revision 1.113  2006/04/11 21:27:40  arekm
- try 20060411 snap

Revision 1.112  2006/04/02 18:20:47  qboosh
- i915 driver obsoletes i830

Revision 1.111  2006/04/02 12:23:44  arekm
- fix dri path

Revision 1.110  2006/04/02 11:25:52  qboosh
- typo

Revision 1.109  2006/04/02 11:25:30  qboosh
- logic

Revision 1.108  2006/04/02 10:54:20  arekm
- disable sis in files ,too

Revision 1.107  2006/04/02 10:52:16  arekm
- disable sis on non x86/x8664

Revision 1.106  2006/04/02 10:21:30  arekm
- up to devel 6.5 release

Revision 1.105  2006/02/20 15:58:07  adasi
- grasp

Revision 1.104  2006/02/20 15:07:35  adasi
- added patch needed for glxcompmgr
- UNTESTED

Revision 1.103  2006/02/18 19:33:24  qboosh
- Obsoletes for X11-OpenGL* packages

Revision 1.102  2006/02/09 12:01:16  qboosh
- updated to 6.4.2

Revision 1.101  2006/02/08 18:34:43  qboosh
- better Group for dri-drivers

Revision 1.100  2006/02/08 14:35:29  freetz
- de-adapterized

Revision 1.99  2006/02/08 14:16:35  freetz
- DRI drivers split

Revision 1.98  2006/02/03 11:15:25  pluto
- build fixed (glxinfo vs -lGLU).

Revision 1.97  2005/12/20 13:43:42  wrobell
- added patch to look for dri modules in /usr/lib/xorg/modules
- rel. 2

Revision 1.96  2005/12/03 15:31:56  qboosh
- updated to 6.4.1 (bugfixes)

Revision 1.95  2005/11/02 10:41:30  qboosh
- -libGL Obsoletes old Mesa base package

Revision 1.94  2005/11/01 21:36:31  qboosh
- make utils before moving libGLU; upadated todo

Revision 1.93  2005/11/01 09:46:19  pluto
- BR xorg-lib-libXt-devel (GLwDrawA.c needs X11/IntrinsicP.h,StringDefs.h)

Revision 1.92  2005/11/01 00:26:56  pluto
- avoid violations of aliasing rules.

Revision 1.91  2005/10/31 13:04:55  qboosh
- split libGL/libGLU/libGLw/utils
- build ffb_dri.so only on sparc*

Revision 1.90  2005/10/28 16:47:06  qboosh
- updated to 6.4, removed obsolete dri-asm patch
- needs post-1.0.4 libdrm-devel

Revision 1.89  2005/10/22 23:04:41  qboosh
- don't build glut (we have it in glut.spec)
- build glxgears,glxinfo demos, don't link them with glut (not needed)
- unified examples dir
- package shared libGLw (built without Motif interface)
- BR: expat-devel (for dri drivers)

Revision 1.88  2005/10/21 11:36:07  qboosh
- BR: libXxf86vm-devel,glproto,makedepend (for dri build)

Revision 1.87  2005/10/21 10:17:40  qboosh
- added motif bcond (not tested yet)
- BR: libdrm-devel (for linux-dri build)
- BR: libstdc++-devel (for SGI libGLU)

Revision 1.86  2005/10/21 01:01:37  jpc
- add glut
- take libGL from the DRI build (I guess this could make a difference
  but I can't get anything more than software rendering and no output
  from LIBGL_DEBUG=verbose) Help?
- don't build demos (they are not packaged anyway)

Revision 1.85  2005/10/20 19:47:18  jpc
- add missing asm files (patch from Gentoo)
- sort BRs
- build dri drivers (and add a subpackage for them)

Revision 1.84  2005/10/20 18:04:37  jpc
- up to 6.3.2
- remove outdated opt patch
- use modular deps
- use sed instead of perl in prep

Revision 1.83  2004/12/16 11:03:32  adamg
- updated to 6.2.1

Revision 1.82  2004/11/20 20:49:08  radek
- BR: %__perl instead of perl-devel (even microperl would do)

Revision 1.81  2004/10/17 21:11:13  qboosh
- updated to 6.2, updated opt patch and desc

Revision 1.80  2004/08/28 21:07:29  qboosh
- version 6.1, added opt patch, libGLw patch replaced by make overrides
- versioned OpenGL provides make more sense

Revision 1.79  2004/07/11 09:37:49  jpc
- xlibize ;)

Revision 1.78  2004/06/22 22:30:29  paszczus
- sorry, motif-devel is back in BR

Revision 1.77  2004/06/22 18:35:37  paszczus
- BR: s/motif-devel/openmotif-devel pointed out by darekr

Revision 1.76  2004/05/17 18:19:46  qboosh
- BR s/perl/perl-base/

Revision 1.75  2004/05/17 17:44:48  qboosh
- updated to 6.0.1, updated libGLw patch, removed obsolete ac,am patches

Revision 1.74  2003/10/05 22:27:30  qboosh
- 5.0.2, updated am and libGLw patches

Revision 1.73  2003/08/18 08:07:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.72  2003/07/07 19:05:02  qboosh
- use _examplesdir macro

Revision 1.71  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.70  2003/06/06 12:19:19  qboosh
- updated feedback address

Revision 1.69  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.68  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/04/03 20:05:31  qboosh
- 5.0.1

Revision 1.66  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.65  2003/01/18 22:53:35  juandon
- removed two lines with define

Revision 1.64  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.63  2002/11/20 14:20:52  qboosh
- 5.0

Revision 1.62  2002/10/24 16:01:36  qboosh
- 4.0.4

Revision 1.61  2002/07/11 19:48:48  qboosh
- updated paths patch, killed subshells

Revision 1.60  2002/07/10 23:22:33  blues
- new doc

Revision 1.59  2002/07/10 21:36:17  cieciwa
- removed unneded patch no. 2.

Revision 1.58  2002/07/10 21:20:29  cieciwa
- update to version 4.0.3,
- release 1.

Revision 1.57  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/17 08:18:41  wiget
move libGL.so to main package, release 2

Revision 1.55  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/02/17 04:53:44  kloczek
- adapterized.

Revision 1.53  2002/02/15 10:16:34  qboosh
- Merge From DEVEL: updated to 4.0.1

Revision 1.48.2.5  2002/02/03 18:07:46  qboosh
- without glide by default, reversed bcond

Revision 1.48.2.4  2002/02/02 22:22:04  qboosh
- libGLw patch is back (updated)
- removed backup file from %doc

Revision 1.48.2.3  2002/02/02 13:10:02  qboosh
- updated %files, added athlon support (from HEAD), fixed Mesa-widgets building

Revision 1.48.2.2  2002/01/22 09:14:53  qboosh
- changed Source URLs to ftp

Revision 1.48.2.1  2002/01/03 18:11:51  misiek
- started doing 4.0.1

Revision 1.48  2001/11/26 17:52:10  misiek
am/ac/libtool fixes

Revision 1.47  2001/11/26 15:17:03  misiek
- fix libtool/asm

Revision 1.46  2001/07/31 16:47:29  qboosh
- require only OpenGL-devel for Mesa-demos (can be used with XFree86-OpenGL)
- release 3

Revision 1.45  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.44  2001/06/23 10:35:02  qboosh
- added Obsoletes for XFree86-OpenGL-*

Revision 1.43  2001/05/29 01:06:02  qboosh
- missing dir in Mesa-demos: /usr/src/examples/Mesa
- release 2

Revision 1.42  2001/05/27 23:45:56  qboosh
- updated to 3.4.2, updated License field (Mesa core is now MIT, not LGPL)
- added SGI's libGLw (static only - there're some binary-incompatible versions)
- added libMesaGLwM (Motif version of libMesaGLw)
- moved MesaGLw includes to subdirectory (structs binary-incompatible with SGI)
- GLw* manuals are back (conflict with XFree86-devel resolved by moving
  their XFree versions from XFree86-devel to XFree86-OpenGL-devel)

Revision 1.41  2001/05/22 09:06:04  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.40  2001/03/18 18:43:10  qboosh
- Mesa-devel Requires: XFree86-devel

Revision 1.39  2001/02/27 05:18:08  kloczek
- cosmetics.

Revision 1.38  2001/02/26 22:24:10  qboosh
- updated to 3.4.1, updated Source URLs
- conditional GLX/DRI support from rawhide
(Mesa is needed to use GL functions with video cards not supported by
 XFree 4.0 - OpenGL from XFree 4.0 won't work without GLX)

Revision 1.37  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.36  2000/06/26 17:24:19  baggins
- fixed typos

Revision 1.35  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.34  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.33  2000/06/07 11:52:02  zagrodzki
- fixed prefix and mandir... :>

Revision 1.32  2000/06/07 11:50:46  zagrodzki
- glut.h should be excluded from Mesa (it comes with glut-devel)

Revision 1.31  2000/05/20 20:38:44  kloczek
- release 3 (for allow upgrade from RH 6.2).

Revision 1.30  2000/05/20 13:01:19  kloczek
- release 2,
- fix typos for correct building on sparc.

Revision 1.29  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.28  2000/05/01 09:02:27  jajcus
- Mesa-libname patch removed (nod needed any more)
- the spec is working now

Revision 1.27  2000/04/26 15:27:42  wiget
3.2 - NFY

Revision 1.26  2000/04/21 12:38:53  jajcus
- spec rewritten to use autoconf
- %%{_libdir}/Mesa and it contents removed (does anything need this)?

Revision 1.25  2000/04/19 18:42:14  kloczek
- release 2,
- removed glut packages (now builded from separated tar ball),
- added "Provides: OpenGL*" for each Mesa subpackage for allow slighter move
  to XFree86 4.0 in future.

Revision 1.24  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.22  2000/01/19 05:06:51  kloczek
- updated Source url,
- adapter(ized).

Revision 1.21  2000/01/18 19:25:36  baggins
s/libMesa/lib/

Revision 1.20  2000/01/18 19:21:20  baggins
- fixed %doc

Revision 1.19  2000/01/18 18:37:29  baggins
- updated to 3.1

Revision 1.18  1999/09/08 21:22:34  kloczek
- release 9,
- fix: move man pages to proper place (compliant with FHS 2.0),
- added using %configure macro.

Revision 1.17  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.16  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 27 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [3.0-8]
- based on spec from RH contrib,
- spec rewrited by PLD team,
- pl translation by Wojciech "Sas" Cieciwa <cieciwa@alpha.zarz.agh.edu.pl>.
